6.0.0-git
2019-03-18

[#8546] Recurring events after 1-Jan-2010 not displaying in month or year view
Summary Recurring events after 1-Jan-2010 not displaying in month or year view
Queue Kronolith
Queue Version 2.3.1
Type Bug
State Resolved
Priority 1. Low
Owners wrobel (at) horde (dot) org
Requester tlawton (at) gmx (dot) de
Created 2009-09-01 (3485 days ago)
Due
Updated 2009-11-10 (3415 days ago)
Assigned 2009-09-04 (3482 days ago)
Resolved 2009-11-10 (3415 days ago)
Milestone
Patch No

History
2009-11-10 10:28:13 Gunnar Wrobel Comment #8
State ⇒ Resolved
Reply to this comment
The merged patches should fix the problem.
2009-11-10 10:27:02 CVS Commit Comment #7 Reply to this comment
Changes have been made in CVS for this ticket:

MFH (git 8b528b8:bc203ef
* Fixed recurring weekly events with fixed number of occurences
but multiple incidences per week (kolab/issue3846)
* Fixed recurring weekly events with intervals > 1 (Bug #8546)
)
http://cvs.horde.org/diff.php/kronolith/docs/CHANGES?rt=horde&r1=1.165.2.278&r2=1.165.2.279&ty=u
http://cvs.horde.org/diff.php/kronolith/lib/Attic/Recurrence.php?rt=horde&r1=1.16.2.10&r2=1.16.2.11&ty=u
2009-11-10 10:25:00 CVS Commit Comment #6 Reply to this comment
Changes have been made in CVS for this ticket:

MFH (git 8b528b8:bc203ef
* Fixed recurring weekly events with fixed number of occurences
but multiple incidences per week (kolab/issue3846)
* Fixed recurring weekly events with intervals > 1 (Bug #8546)
)
http://cvs.horde.org/diff.php/framework/Date/Attic/package.xml?rt=horde&r1=1.2.10.5&r2=1.2.10.6&ty=u
http://cvs.horde.org/diff.php/framework/Date/Date/Attic/Recurrence.php?rt=horde&r1=1.7.2.12&r2=1.7.2.13&ty=u
2009-11-09 20:42:57 Jan Schneider Assigned to Gunnar Wrobel
Taken from Jan Schneider
 
2009-09-04 13:33:25 Jan Schneider Comment #3 Reply to this comment
Actually it doesn't. It just showed up exactly once, then never again.
2009-09-04 11:03:35 Jan Schneider Comment #2
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
Works fine in Git.
2009-09-01 09:42:36 tlawton (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Recurring events after 1-Jan-2010 not displaying in month or year view
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
New Attachment: screenshots.zip Download
Reply to this comment
(originally reported in a comment in #6960)



Calendar (kronolith)  H3 (2.3.1)

Horde Horde (horde) 3.3.4

Using mySQL backend



I've set up my work rota using base events in

August/September with recurrences every 7 weeks until February where I

change jobs. Everything appears to have worked fine, except on the

month and year view the recurrences don't display after Jan 1st. The 
events are recurring correctly, they appear fine on the other views.

SELECT query bug?



eg - event on Jan 4th is visible in the screenshots below on day/work

week/week view but not on month/yearly view.

Saved Queries